Class | Rake::RuleRecursionOverflowError
In: | lib/rake.rb
Parent: | StandardError

Error indicating a recursion overflow error in task selection.

### Methods

add_target message new

### Public Class methods

new(*args)

[Source]

         # File lib/rake.rb, line 252
    252:     def initialize(*args)
    253:       super
    254:       @targets = []
    255:     end

### Public Instance methods

add_target(target)

[Source]

         # File lib/rake.rb, line 257
    257:     def add_target(target)
    258:       @targets << target
    259:     end

message()

[Source]

         # File lib/rake.rb, line 261
    261:     def message
    262:       super + ": [" + @targets.reverse.join(' => ') + "]"
    263:     end

[Validate]